import javax.microedition.lcdui.*;

public class AddBookmarkForm extends Form implements CommandListener { 
    ReaderCanvas canvas;
    BookmarkList list;
    TextField    name;

    static final int MAX_BOOKMARK_LENGTH = 64;

    AddBookmarkForm(ReaderCanvas canvas, BookmarkList list) { 
        super(Locale.NEW_BOOKMARK);
        this.canvas = canvas;
        this.list = list;
        addCommand(MobiBrowser.ADD_CMD);
        addCommand(MobiBrowser.BACK_CMD);
        name = new TextField(Locale.NAME, MobiBrowser.removeHttpPrefix(canvas.url), 
                             MAX_BOOKMARK_LENGTH, TextField.ANY);
        append(name);
        setCommandListener(this);
        Display.getDisplay(canvas.browser).setCurrent(this);
    }

    public void commandAction(Command c, Displayable d) 
    {
        if (c == MobiBrowser.ADD_CMD) { 
            String bookmarkName = name.getString().trim();
            if (bookmarkName.length() == 0) { 
                canvas.browser.error(Locale.EMPTY_NAME, this);
                return;
            }
            canvas.browser.addBookmark(new Bookmark(canvas.currPagePos, 
                                                    bookmarkName,
                                                    canvas.url));
            list.append(bookmarkName, null);
        }
        Display.getDisplay(canvas.browser).setCurrent(list);
    }
}


