import javax.microedition.lcdui.*;
import java.util.Vector;

public class BookmarkList extends List implements CommandListener { 
    Menu menu;

    BookmarkList(Menu menu) { 
        super(Locale.BOOKMARKS, IMPLICIT);
        this.menu = menu;
        if (menu.canvas != null) { 
            addCommand(MobiBrowser.ADD_CMD);
        }
        addCommand(MobiBrowser.RENAME_CMD);
        addCommand(MobiBrowser.REMOVE_CMD);
        addCommand(MobiBrowser.GOTO_CMD);
        addCommand(MobiBrowser.BACK_CMD);
        Vector bookmarks = menu.browser.bookmarks;
        for (int i = 0, n = bookmarks.size(); i < n; i++) { 
            append(((Bookmark)bookmarks.elementAt(i)).name, null);
        }
        setCommandListener(this);
        Display.getDisplay(menu.browser).setCurrent(this);
    }

    public void commandAction(Command c, Displayable d) 
    {
        int i = getSelectedIndex();
        if (c == MobiBrowser.BACK_CMD) { 
            Display.getDisplay(menu.browser).setCurrent(menu);
        } else if (c == MobiBrowser.ADD_CMD) { 
            new AddBookmarkForm(menu.canvas, this);
        } else if (c == MobiBrowser.RENAME_CMD) { 
            if (i >= 0) { 
                new EditBookmarkForm(menu.browser, this, i);
            } 
        } else if (c == MobiBrowser.REMOVE_CMD) { 
            if (i >= 0) { 
                menu.browser.removeBookmark(i);
                delete(i);
            }
        } else { 
            if (i >= 0) { 
                Bookmark bm = (Bookmark)menu.browser.bookmarks.elementAt(i);
                menu.browser.load(bm.url, bm.pos);
            }
        }
    }
}


