import javax.microedition.lcdui.*;

public class EditBookmarkForm extends Form implements CommandListener { 
    MobiBrowser  browser;
    BookmarkList list;
    int          index;
    TextField    name;
    Bookmark     bm;

    EditBookmarkForm(MobiBrowser browser, BookmarkList list, int index) { 
        super(Locale.EDIT_BOOKMARK);
        this.browser = browser;
        this.list = list;
        this.index = index;
        addCommand(MobiBrowser.RENAME_CMD);
        addCommand(MobiBrowser.BACK_CMD);
        bm = (Bookmark)browser.bookmarks.elementAt(index);
        name = new TextField(Locale.NAME, bm.name, AddBookmarkForm.MAX_BOOKMARK_LENGTH, TextField.ANY);
        append(name);
        append(new StringItem(Locale.URL, MobiBrowser.removeHttpPrefix(bm.url)));
        setCommandListener(this);
        Display.getDisplay(browser).setCurrent(this);
    }

    public void commandAction(Command c, Displayable d) 
    {
        if (c == MobiBrowser.RENAME_CMD) { 
            String bookmarkName = name.getString().trim();
            if (bookmarkName.length() == 0) { 
                browser.error(Locale.EMPTY_NAME, this);
                return;
            }
            bm.name = bookmarkName;
            browser.updateBookmark(bm);
            list.set(index, bookmarkName, null);
        }
        Display.getDisplay(browser).setCurrent(list);
    }
}


