import javax.microedition.lcdui.*;

public class Menu extends List implements CommandListener { 
    MobiBrowser  browser;
    ReaderCanvas canvas;
    
    static String[] items = {Locale.BOOKMARKS, Locale.URL, Locale.HISTORY, Locale.BACKWARD, Locale.FORWARD, 
                             Locale.WEB_SEARCH, Locale.HELP, Locale.QUIT};

    Menu(MobiBrowser browser, ReaderCanvas canvas) { 
        super(Locale.MENU, IMPLICIT, items, null);
        this.browser = browser;
        this.canvas = canvas;
        if (canvas != null) { 
            addCommand(MobiBrowser.BACK_CMD);
            append(Locale.REFRESH, null);
            append(Locale.SEARCH, null);
        }
        setCommandListener(this);
        Display.getDisplay(browser).setCurrent(this);
    }

    public void commandAction(Command c, Displayable d) 
    {
       if (c == MobiBrowser.BACK_CMD) { 
            Display.getDisplay(browser).setCurrent(canvas);
       } else { 
           switch (getSelectedIndex()) { 
           case 0: 
               new BookmarkList(this);
               break;
           case 1: 
               new UrlForm(this);
               break;
           case 2:
               new HistoryList(this);
               break;
           case 3:
               browser.backward();
               break;
           case 4:
               browser.forward();
               break;
           case 5:
               new WebSearchForm(this);
               break;
           case 6:
               new HelpForm(this);
               break;
           case 7:
               browser.quit();
               break;
           case 8:
               new ConnectForm(canvas.url, canvas.currPagePos, browser);
               break;
           case 9:
               new SearchForm(this);
               break;
           }
       }
    }
}


