import javax.microedition.lcdui.*;

public class SearchForm extends Form implements CommandListener { 
    Menu         menu;
    TextField    pattern;

    static String searchPattern;

    static final int MAX_SEARCH_PATTERN_LENGTH = 64;

    SearchForm(Menu menu) { 
        super(Locale.SEARCH);
        this.menu = menu;
        addCommand(MobiBrowser.SEARCH_CMD);
        addCommand(MobiBrowser.BACK_CMD);
        pattern = new TextField(Locale.SEARCH, searchPattern, MAX_SEARCH_PATTERN_LENGTH, TextField.ANY);
        append(pattern);
        setCommandListener(this);
        Display.getDisplay(menu.browser).setCurrent(this);
    }

    public void commandAction(Command c, Displayable d) 
    {
        if (c == MobiBrowser.SEARCH_CMD) { 
            searchPattern = pattern.getString().trim();
            if (searchPattern.length() == 0) { 
                return;
            }
            if (!menu.canvas.search(searchPattern)) { 
                menu.browser.error(Locale.NOT_FOUND, this);
                return;
            }
            Display.getDisplay(menu.browser).setCurrent(menu.canvas);
            return;
        }
        Display.getDisplay(menu.browser).setCurrent(menu);
    }
}


